# MAMI - Matrix Mixer

A set of modular PCBs that can be used to create a custom configuration for a Matrix Mixer.  A Matrix mixer allows you to mix you any input to any output at the same time.  

If you have for example a 4x4 Matrix Mixer, you have 16 knobs with each controlling a how much of a given input signal (`1-4`) will be mixed into a given output (`A-D`):  

![](images/4x4-matrix.png)   

For example by turning up the knob at the intersection between Input `2` and Output `B` we can mix all of the signal present at the input to the output. If we turn up another knob at another intersection, the signal will be present at both outputs:  

![](images/matrix-examples.png)

This makes Matrix mixers extremely flexible and allows for many possible combinations and use cases.


# Modules

The 4x4 matrix above consists of:
- 2x MAMI-INPUT Module
- 2x MAMI-OUTPUT Module
- 4x MAMI-QUAD Module

The modules are designed in a way they can be connected via wires or jumpers to each other, so multiple configurations are possible (e.g. 2x2, 2x4, 4x2, 8x8, 10x6 etc.).

## Input Module [MAMI-INPUT]

The Input Module has two 3.5mm Mono Input Jacks and two (On)-Off-On Switches that allows muting individual inputs (or momentarily/permanently switching them on).

| Top  | Bottom | 3D |
| ---- | ------ | --- |
| <img src="gerbers/MAMI-INPUT_Combined_Top.png" width="200px"> | <img src="gerbers/MAMI-INPUT_Combined_Bottom.png" width="200px"> | <img src="images/3D-input.png" width="200px"> |

## 2x2 Tile Module [MAMI-QUAD]

Mixes two inputs onto two outputs using 4 Potentiometers. 

| Top | Bottom | 3D |
| ---- | ----- | --- |
| <img src="gerbers/MAMI-QUAD_Combined_Top.png" width="200px"> | <img src="gerbers/MAMI-QUAD_Combined_Bottom.png" width="200px"> | <img src="images/3D-quad.png" width="200px"> |

## Output Module [MAMI-OUTPUT]

Provides two 3.5mm Mono output jacks, with a Jumper (or switch) each row of tiles can be switched between unipolar and bipolar attenuation.

| Top  | Bottom | 3D |
| ---- | ------ | --- |
| <img src="gerbers/MAMI-OUTPUT_Combined_Top.png" height="200px"> | <img src="gerbers/MAMI-OUTPUT_Combined_Bottom.png" height="200px"> | <img src="images/3D-output.png" height="200px"> |

